
#include "genericwnd.h"
#include "../common/canvas.h"
#include "../common/xlatstr.h"

int GenericWnd::onPaint(Canvas *canvas) {
  PaintBltCanvas pbc;
  if (canvas == NULL) {
    pbc.beginPaint(this);
    canvas = &pbc;
  }
  GENERICWND_PARENT::onPaint(canvas);

  RECT r = clientRect();

  canvas->fillRect(&r, RGB(248, 248, 248));

  canvas->setTextColor(RGB(0, 0, 0));
  canvas->setTextSize(48);
  canvas->textOutCentered(&r, _("Component"));

  return 1;
}
